using MessagePack;
using Microsoft.WindowsAzure.Storage.Table;
using System.ComponentModel.DataAnnotations;
using TEAMModelOS.SDK.Context.Attributes.Azure;
namespace HiTeachCC.Model.Teach.Models
{
    [TableSpace(Name = "Core")]
    [MessagePackObject(keyAsPropertyName: true)]
    public class Lesson: TableEntity
    {
        public string TeamModelId { get; set; }
        public string Teacher { get; set; }
        [Required(ErrorMessage = "{0} 必须填写")]
        public string GroupNum { get; set; }
        public long CreateTime { get; set; }
        [Required(ErrorMessage = "{0} 必须填写")]
        public string DeviceId { get; set; }
        public int Status { get; set; } = 1;
    }
}
